Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class TargetTableModel

    java.lang.Object
      org.exist.client.xacml.TargetTableModel

All Implemented Interfaces:
  javax.swing.table.TableModel

public class TargetTableModel
extends java.lang.Object
implements javax.swing.table.TableModel

Constructor Summary
`TargetTableModel(int type, Abbreviator abbrev)`

Method Summary
`void` | `addTableModelListener(javax.swing.event.TableModelListener listener)`
`java.util.List` | `createTarget()`
`static boolean` | `equals(com.sun.xacml.attr.AttributeDesignator one, com.sun.xacml.attr.AttributeDesignator two)`
`static boolean` | `equals(java.net.URI one, java.net.URI two)`
`com.sun.xacml.attr.AttributeDesignator` | `getAttribute(int col)`
`java.lang.Class` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int pos)`
`java.net.URI` | `getFunctionId(int row, int col)`
`int` | `getIndex(com.sun.xacml.attr.AttributeDesignator attribute)`
`int` | `getRowCount()`
`com.sun.xacml.attr.AttributeValue` | `getValue(int row, int col)`
`java.lang.Object` | `getValueAt(int row, int col)`
`boolean` | `isCellEditable(int row, int col)`
`void` | `removeRow(int row)`
`void` | `removeTableModelListener(javax.swing.event.TableModelListener listener)`
`void` | `setTarget(java.util.List target)`
`void` | `setValue(int row, int col, com.sun.xacml.TargetMatch match)`
`void` | `setValue(java.net.URI functionId, com.sun.xacml.attr.AttributeValue value, int row, int col)`
`void` | `setValueAt(java.lang.Object value, int row, int col)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetTableModel

    public TargetTableModel(int type,
                            Abbreviator abbrev)

Method Detail

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `javax.swing.table.TableModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `javax.swing.table.TableModel`

### isCellEditable

    public boolean isCellEditable(int row,
                                  int col)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int col)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

  Specified by:
    `getValueAt` in interface `javax.swing.table.TableModel`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int row,
                           int col)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`

### getAttribute

    public com.sun.xacml.attr.AttributeDesignator getAttribute(int col)

### getFunctionId

    public java.net.URI getFunctionId(int row,
                                      int col)

### getValue

    public com.sun.xacml.attr.AttributeValue getValue(int row,
                                                      int col)

### setValue

    public void setValue(java.net.URI functionId,
                         com.sun.xacml.attr.AttributeValue value,
                         int row,
                         int col)

### removeRow

    public void removeRow(int row)

### setTarget

    public void setTarget(java.util.List target)

### createTarget

    public java.util.List createTarget()

### setValue

    public void setValue(int row,
                         int col,
                         com.sun.xacml.TargetMatch match)

### getIndex

    public int getIndex(com.sun.xacml.attr.AttributeDesignator attribute)

### equals

    public static boolean equals(com.sun.xacml.attr.AttributeDesignator one,
                                 com.sun.xacml.attr.AttributeDesignator two)

### equals

    public static boolean equals(java.net.URI one,
                                 java.net.URI two)

### getColumnName

    public java.lang.String getColumnName(int pos)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`

### addTableModelListener

    public void addTableModelListener(javax.swing.event.TableModelListener listener)

  Specified by:
    `addTableModelListener` in interface `javax.swing.table.TableModel`

### removeTableModelListener

    public void removeTableModelListener(javax.swing.event.TableModelListener listener)

  Specified by:
    `removeTableModelListener` in interface `javax.swing.table.TableModel`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.